API docs

Create a product listing-publication

POST
/publication/create

Create a product listing that users can order via the Peecho Checkout. After creation, you can use the ID returned by the endpoint and go to https://test.www.peecho.com/print/{ID} to view the checkout page for that product or publication.

The product listing can be set up as a single product with a specific price, or as multiple products from the same category with prices determined by the profit markup defined in your account settings.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/publication/create" \  -H "Content-Type: application/json" \  -d '{    "apiKey": "APABCD1234XXXXI",    "currency": "EUR",    "locale": "nl",    "order": {      "reference": "DK123LLP",      "product": {        "title": "Test Publication endpoint",        "source": {          "file": {            "src": "https://calin-thumbnailer.s3-eu-west-1.amazonaws.com/api-test.pdf",            "pages": 28,            "dimensions": {              "height": 210,              "width": 297            }          }        },        "thumbnail": {          "src": "https://calin-thumbnailer.s3-eu-west-1.amazonaws.com/download.jfif"        }      }    }  }'

{  "id": 123456}